<template>
  <v-card
    min-width="350px"
    class="mx-auto rounded-lg"
    color="white"
    :to="to(folio)"
  >
    <div v-if="folio.vistas === 0" class="container-flag">
      <div class="flag">
        <v-icon large>mdi-check-decagram-outline</v-icon>
      </div>
    </div>
    <v-card-text class="text-center" style="height: 300px;">
      <v-progress-circular
        :size="130"
        :width="7"
        color="grey"
        indeterminate
        v-if="folio.loading"
      ></v-progress-circular>
      <template v-show="!folio.loading">
        <template v-if="folio.archivoDemo">
          <div
            style=" border-radius: 0px 0px 10px 10px; position: absolute;bottom: 50px;top: 20px;left: 20px;overflow: hidden;right: 20px;"
          >
            <FolioVisorArchivo
              :folio="folio"
              :archivo="folio.archivoDemo"
              :pageable="false"
              :zoomeable="false"
              :controls="false"
              :onlyView="true"
              @loaded="loadedFile(folio)"
            />
          </div>
        </template>
      </template>
    </v-card-text>
    <div
      :style="'background-color: ' + color + ';'"
      class="text-center color-939393c9  pa-2 pt-4 pb-4"
      style="opacity: .9; position: absolute;left: 19px;right: 19px;bottom: 50px;border-radius: 0px 0px 10px 10px;"
    >
      <div>
        <div class="white--text">
          <strong class="font-italic">
            {{ folio.documento.titulo }}
          </strong>
        </div>
      </div>
      <div class="text-center">
        <span class="white--text">
          Publicado: {{ dateFormat(folio.fechaPublicacion) }}
        </span>
      </div>
    </div>
    <div>
      <v-chip
        style="color : rgb(42,42,42); position: absolute;bottom: 7px;border-radius: 8px;height: 36px;z-index: 1;width: 45px;padding-left: 20px;left: 20px;"
        color="primary"
        class="text-center subtitle-1 font-weight-bold"
        :ripple="false"
      >
        {{ folio.calificacion }}
      </v-chip>
      <div
        class="pl-4 pa-1"
        style="background-color: rgb(42,42,42);left: 50px;bottom: 8px;position: absolute;border-radius: 0px 10px 10px 0px;"
      >
        <v-rating
          v-model="folio.calificacion"
          background-color="grey"
          color="primary accent-4"
          empty-icon="far fa-star"
          full-icon="fa-star"
          dense
          hover
          readonly
          size="23"
        />
      </div>
    </div>
    <div
      style="position: absolute;bottom: 10px;right: 20px;"
      class="float-right"
    >
      <v-icon color="grey">mdi-eye-outline</v-icon>
      <strong class="grey--text"> {{ folio.vistas }} vistas </strong>
    </div>
  </v-card>
</template>
<style>
.color-939393c9 {
  background-color: #939393c9;
}
.flag {
  width: 40px;
  height: 40px;
  position: relative;
  background: #ffcd00;
  z-index: 1;
  text-align: center;
}
.flag:after {
  content: "";
  position: absolute;
  left: 20px;
  bottom: -20px;
  width: 0px;
  height: 0px;
  border-left: 20px solid transparent;
  border-top: 20px solid #ffcd00;
}
.flag::before {
  content: "";
  position: absolute;
  left: 0px;
  bottom: -20px;
  width: 0px;
  height: 0px;
  border-right: 20px solid transparent;
  border-top: 20px solid #ffcd00;
}
.container-flag {
  padding-left: 20px;
  position: absolute;
}
</style>
<script>
import store from "@/store";
import FolioVisorArchivo from "@/views/secure/modelo-negocio/documentos/gestion-documento/pasos/resumen/componentes/FolioVisorArchivo.vue";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Documento",
  props: ["folio"],
  components: {
    FolioVisorArchivo,
  },
  computed: {
    color() {
      if (this.folio && this.folio.modeloNegocio) {
        return this.folio.modeloNegocio[0].color;
      } else {
        return "";
      }
    },
    serviceCommons() {
      return serviceCommons;
    },
  },
  methods: {
    breadcrumbsNegocios(rutas) {
      let breadcrumbs = [];
      let groupByDescripcion = this.serviceCommons.groupBy(
        "unidadNegocio.descripcion"
      );
      let rutasGrouped = groupByDescripcion(rutas);
      for (let attr in rutasGrouped) {
        breadcrumbs.push({
          text: attr,
        });
      }
      return breadcrumbs;
    },
    loadedFile(folio) {
      folio.loading = false;
    },
    to(folio) {
      return {
        name: "modelo_negocio_publicados_comentarios_folio",
        query: {
          back: serviceCommons.objectToBase64({
            name: "modelo_negocio_publicados",
          }),
        },
        params: {
          folio: this.serviceCommons.objectToBase64({
            idFolio: folio.idFolio,
            documento: {
              titulo: folio.documento.titulo,
            },
          }),
        },
      };
    },
    dateFormat(date) {
      return date.substr(0, 10);
    },
  },
};
</script>
